# PrebuiltLibrary

@Incubating
interface PrebuiltLibrary : Named, NativeLibrary

A library component that is not built by gradle.

## Functions

getBinaries
Link copied to clipboard
abstract fun getBinaries(): DomainObjectSet<NativeLibraryBinary>
The binaries that are built for this component.
getHeaders
Link copied to clipboard
abstract fun getHeaders(): SourceDirectorySet
The headers exported by this library.
getName
Link copied to clipboard
abstract fun getName(): String